Bug 189843 - byte code compiler fails 'make test'
byte code compiler fails 'make test'
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 20:18 EDT by Jason Vas Dias
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-15 13:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-04-24 20:18:20 EDT
Description of problem:

The perl-5.6.1-37.1.99ent package was built with 
make test || /bin/true
in the .spec file %build script; 
the perl Byte code Compiler 'B' test always failed.

After building, cd to perl-5.6.1 and type:
./perl t/lib/b.t
ok 1
ok 14
not ok 15

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See above 
Actual results:
test fails at test #15

Expected results:
all tests run as part of the build test-suite should pass
Comment 1 Robin Norwood 2006-10-01 19:28:54 EDT
assigning to rnorwood@redhat.com
Comment 2 Robin Norwood 2007-08-15 13:35:11 EDT
This has been fixed for awhile now.

Note You need to log in before you can comment on or make changes to this bug.